<?php

declare(strict_types=1);

namespace Dedi\SyliusImportExportPlugin\Exporter;

use Dedi\SyliusImportExportPlugin\DataProvider\DataProviderInterface;
use Dedi\SyliusImportExportPlugin\Formater\FormaterInterface;

class DefaultExporter implements GridAwareExporterInterface
{
    protected DataProviderInterface $dataProvider;

    protected FormaterInterface $formater;

    private string $identifier;

    private string $filename;

    private string $label;

    private string $gridCode;

    public function __construct(
        DataProviderInterface $dataProvider,
        FormaterInterface $writer,
        string $identifier,
        string $filename,
        string $label,
        string $gridCode = ''
    ) {
        $this->dataProvider = $dataProvider;
        $this->formater = $writer;
        $this->identifier = $identifier;
        $this->filename = $filename;
        $this->label = $label;
        $this->gridCode = $gridCode;
    }

    public function getDataProvider(): DataProviderInterface
    {
        return $this->dataProvider;
    }

    public function getFormater(): FormaterInterface
    {
        return $this->formater;
    }

    public function getIdentifier(): string
    {
        return $this->identifier;
    }

    public function getFilename(): string
    {
        return $this->filename;
    }

    public function getLabel(): string
    {
        return $this->label;
    }

    public function getGridCode(): string
    {
        return $this->gridCode;
    }
}
