<?php

declare(strict_types=1);

namespace Dedi\SyliusImportExportPlugin\Registry;

use Dedi\SyliusImportExportPlugin\Exporter\GridAwareExporterInterface;

class GridExporterRegistry
{
    /** @var GridAwareExporterInterface[] */
    private iterable $exporters;

    public function __construct(iterable $exporters)
    {
        $this->exporters = $exporters;
    }

    /**
     * @return array|GridAwareExporterInterface[]
     */
    public function get(string $code): array
    {
        $exporters = [];

        foreach ($this->exporters as $exporter) {
            if ($exporter->getGridCode() === $code) {
                $exporters[] = $exporter;
            }
        }

        return $exporters;
    }
}
